package org.dromara.system.service;

import org.dromara.system.domain.TblTaxiOrder;
import org.dromara.system.domain.vo.TblTaxiOrderVo;
import org.dromara.system.domain.bo.TblTaxiOrderBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 打车订单Service接口
 *
 * @author Lion Li
 * @date 2024-04-01
 */
public interface ITblTaxiOrderService {

    /**
     * 查询打车订单
     */
    TblTaxiOrderVo queryById(Long id);

    /**
     * 查询打车订单列表
     */
    TableDataInfo<TblTaxiOrderVo> queryPageList(TblTaxiOrderBo bo, PageQuery pageQuery);

    /**
     * 查询打车订单列表
     */
    List<TblTaxiOrderVo> queryList(TblTaxiOrderBo bo);

    /**
     * 新增打车订单
     */
    Boolean insertByBo(TblTaxiOrderBo bo);

    /**
     * 修改打车订单
     */
    Boolean updateByBo(TblTaxiOrderBo bo);

    /**
     * 校验并批量删除打车订单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
